<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: LiveInfo1VIAMPType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00054.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">LiveInfo1VIAMPType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>VIAMP liveInfo1 structure used in <a class="el" href="a00002.html#aac37aec175eb51e7a2e7e3eb2da01c5c" title="Returns live system status information from VIAMP.">liveInfo1VIAMP()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:afe87eec97c26ff58495ce86e015d976f" id="r_afe87eec97c26ff58495ce86e015d976f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a593679ebe2c5361d1e91ebc58b3e25e3">LiveInfoVIAMPStateType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe87eec97c26ff58495ce86e015d976f">st</a></td></tr>
<tr class="memdesc:afe87eec97c26ff58495ce86e015d976f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current system status of the VIAMP.  <br /></td></tr>
<tr class="separator:afe87eec97c26ff58495ce86e015d976f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a08c0499f53c40362fddf75a44b9a31cb" id="r_a08c0499f53c40362fddf75a44b9a31cb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a28d62e044fc472c1bd5e34bfe57cf8a3">LiveInfoVIAMPErrorType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a08c0499f53c40362fddf75a44b9a31cb">er</a></td></tr>
<tr class="memdesc:a08c0499f53c40362fddf75a44b9a31cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current error code of the VIAMP.  <br /></td></tr>
<tr class="separator:a08c0499f53c40362fddf75a44b9a31cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c070d3668d24864810a1a6c15b14792" id="r_a7c070d3668d24864810a1a6c15b14792"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7c070d3668d24864810a1a6c15b14792">itec</a></td></tr>
<tr class="memdesc:a7c070d3668d24864810a1a6c15b14792"><td class="mdescLeft">&#160;</td><td class="mdescRight">The peltier output current as 32 bit float in ampere (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a7c070d3668d24864810a1a6c15b14792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26dc46d0a29a1460a4735aea9991f92f" id="r_a26dc46d0a29a1460a4735aea9991f92f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a26dc46d0a29a1460a4735aea9991f92f">utec</a></td></tr>
<tr class="memdesc:a26dc46d0a29a1460a4735aea9991f92f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The peltier output voltage as 32 bit float in volts (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a26dc46d0a29a1460a4735aea9991f92f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe086c30c0e9332053e4e9af4ba77634" id="r_afe086c30c0e9332053e4e9af4ba77634"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe086c30c0e9332053e4e9af4ba77634">sddTmp</a></td></tr>
<tr class="memdesc:afe086c30c0e9332053e4e9af4ba77634"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SDD temperature as 32 bit float in degrees Celsius (Little-endian = low byte first) .  <br /></td></tr>
<tr class="separator:afe086c30c0e9332053e4e9af4ba77634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5f2fadb5e07f3505cf455d812f5d5c" id="r_a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0a5f2fadb5e07f3505cf455d812f5d5c">rdy</a></td></tr>
<tr class="memdesc:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Ready" state as boolean.  <br /></td></tr>
<tr class="separator:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b22c1db8f7be4bd7f22be47abbe9fb6" id="r_a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7b22c1db8f7be4bd7f22be47abbe9fb6">hotSide</a></td></tr>
<tr class="memdesc:a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The TEC hot side temperature in degrees Celsius as 32 bit float (Little-endian = low byte first) .  <br /></td></tr>
<tr class="separator:a7b22c1db8f7be4bd7f22be47abbe9fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>VIAMP liveInfo1 structure used in <a class="el" href="a00002.html#aac37aec175eb51e7a2e7e3eb2da01c5c" title="Returns live system status information from VIAMP.">liveInfo1VIAMP()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a08c0499f53c40362fddf75a44b9a31cb" name="a08c0499f53c40362fddf75a44b9a31cb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a08c0499f53c40362fddf75a44b9a31cb">&#9670;&#160;</a></span>er</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a28d62e044fc472c1bd5e34bfe57cf8a3">LiveInfoVIAMPErrorType</a> er</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current error code of the VIAMP. </p>

</div>
</div>
<a id="a7b22c1db8f7be4bd7f22be47abbe9fb6" name="a7b22c1db8f7be4bd7f22be47abbe9fb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b22c1db8f7be4bd7f22be47abbe9fb6">&#9670;&#160;</a></span>hotSide</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> hotSide</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The TEC hot side temperature in degrees Celsius as 32 bit float (Little-endian = low byte first) . </p>

</div>
</div>
<a id="a7c070d3668d24864810a1a6c15b14792" name="a7c070d3668d24864810a1a6c15b14792"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c070d3668d24864810a1a6c15b14792">&#9670;&#160;</a></span>itec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> itec</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The peltier output current as 32 bit float in ampere (Little-endian = low byte first). </p>

</div>
</div>
<a id="a0a5f2fadb5e07f3505cf455d812f5d5c" name="a0a5f2fadb5e07f3505cf455d812f5d5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a5f2fadb5e07f3505cf455d812f5d5c">&#9670;&#160;</a></span>rdy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> rdy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Ready" state as boolean. </p>

</div>
</div>
<a id="afe086c30c0e9332053e4e9af4ba77634" name="afe086c30c0e9332053e4e9af4ba77634"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe086c30c0e9332053e4e9af4ba77634">&#9670;&#160;</a></span>sddTmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> sddTmp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The SDD temperature as 32 bit float in degrees Celsius (Little-endian = low byte first) . </p>

</div>
</div>
<a id="afe87eec97c26ff58495ce86e015d976f" name="afe87eec97c26ff58495ce86e015d976f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe87eec97c26ff58495ce86e015d976f">&#9670;&#160;</a></span>st</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a593679ebe2c5361d1e91ebc58b3e25e3">LiveInfoVIAMPStateType</a> st</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current system status of the VIAMP. </p>

</div>
</div>
<a id="a26dc46d0a29a1460a4735aea9991f92f" name="a26dc46d0a29a1460a4735aea9991f92f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26dc46d0a29a1460a4735aea9991f92f">&#9670;&#160;</a></span>utec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> utec</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The peltier output voltage as 32 bit float in volts (Little-endian = low byte first). </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00054.html">LiveInfo1VIAMPType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
